https://bugs.gentoo.org/909035
https://bugs.gentoo.org/909335
https://github.com/scikit-build/scikit-build-core/issues/413
https://github.com/scikit-build/scikit-build-core/commit/fd9e6cf638a14dee2fb39b36e41b607ce8221d27

From fd9e6cf638a14dee2fb39b36e41b607ce8221d27 Mon Sep 17 00:00:00 2001
From: Henry Schreiner <HenrySchreinerIII@gmail.com>
Date: Sat, 24 Jun 2023 15:07:26 -0400
Subject: [PATCH] fix: avoid interfering with other setuptools plugins (#414)

Fix #413.

---------

Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
--- a/src/scikit_build_core/setuptools/build_cmake.py
+++ b/src/scikit_build_core/setuptools/build_cmake.py
@@ -182,7 +182,8 @@ def _has_cmake(dist: Distribution) -> bool:
 def _prepare_extension_detection(dist: Distribution) -> None:
     # Setuptools needs to know that it has extensions modules
 
-    dist.has_ext_modules = lambda: type(dist).has_ext_modules(dist) or _has_cmake(dist)  # type: ignore[method-assign]
+    orig_has_ext_modules = dist.has_ext_modules
+    dist.has_ext_modules = lambda: orig_has_ext_modules() or _has_cmake(dist)  # type: ignore[method-assign]
 
     # Hack for stdlib distutils
     if not setuptools.distutils.__package__.startswith("setuptools"):  # type: ignore[attr-defined]

